package cn.superdesk.uniorder.dubbo.provider.order._leaveover;

import cn.superdesk.uniorder.dao.entity.order.OrderSourceType;
import cn.superdesk.uniorder.dubbo.facade.order._leaveover.DubboOrderSourceTypeService;
import cn.superdesk.uniorder.service.common.OrderSourceTypeService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboOrderSourceTypeServiceImpl implements DubboOrderSourceTypeService {

	@Autowired
	private OrderSourceTypeService orderSourceTypeService;

	@Override
	public List<OrderSourceType> findAll(Map<String, Object> queryMap) {

		return orderSourceTypeService.findAll(queryMap);
	}

	@Override
	public void addObj(OrderSourceType t) {

		orderSourceTypeService.insertSelective(t);
	}

	@Override
	public OrderSourceType findById(Long id) {

		return orderSourceTypeService.findById(id);
	}

	@Override
	public void updateObj(OrderSourceType t) {

		orderSourceTypeService.updateByPrimaryKeySelective(t);
	}

	@Override
	public void deleteObj(Long id) {

		orderSourceTypeService.deleteObj(id);
	}

}
